/*#region Loader*/
.page-wrapper {
    display: flex!important;
    position: fixed;
    z-index: 9999!important;
    width: 100%;
    height: 100%;
    top: 0;
    justify-content: center!important;
    align-items: center!important;
    padding-right: .75rem;
    padding-left: .75rem;
    margin-right: auto;
    margin-left: auto;
}
.loader-wrapper{
    vertical-align: middle;
}

.loader-show {
    display: inline-block;
}
.loader-hiding {
    transition: 0.3s opacity !important;
    opacity: 0 !important;
}
.loader-hidden {
    display: none !important;
}

/*#region loader-balls*/
.loader-balls {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-filter: url("#gooey");
    filter: url("#gooey");
    -webkit-animation: rotate 2s ease infinite;
    animation: rotate 2s ease infinite;
}

.loader-balls .loader-ball {
    width: 80px;
    height: 80px;
    background-color: mediumaquamarine;
    border-radius: 100%;
}
.loader-balls .loader-ball:nth-child(1) {
    -webkit-animation: pull-left 2s ease infinite;
    animation: pull-left 2s ease infinite;
}
.loader-balls .loader-ball:nth-child(2) {
    -webkit-animation: shimmy 2s ease infinite;
    animation: shimmy 2s ease infinite;
}
.loader-balls .loader-ball:nth-child(3) {
    -webkit-animation: pull-right 2s ease infinite;
    animation: pull-right 2s ease infinite;
}

@-webkit-keyframes rotate {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(720deg);
        transform: rotate(720deg);
    }
}
@keyframes rotate {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(720deg);
        transform: rotate(720deg);
    }
}
@-webkit-keyframes shimmy {
    0%, 55% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
    60%, 65% {
        -webkit-transform: translate(-12px, 12px);
        transform: translate(-12px, 12px);
    }
    80%, 85% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
    90% {
        -webkit-transform: scaleX(1.2) translate(-24px, 0);
        transform: scaleX(1.2) translate(-24px, 0);
    }
    100% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
}
@keyframes shimmy {
    0%, 55% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
    60%, 65% {
        -webkit-transform: translate(-12px, 12px);
        transform: translate(-12px, 12px);
    }
    80%, 85% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
    90% {
        -webkit-transform: scaleX(1.2) translate(-24px, 0);
        transform: scaleX(1.2) translate(-24px, 0);
    }
    100% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }
}
@-webkit-keyframes pull-left {
    0% {
        -webkit-transform: scale(0.5) translateX(150%);
        transform: scale(0.5) translateX(150%);
    }
    50% {
        -webkit-transform: scale(1) translateX(-25%);
        transform: scale(1) translateX(-25%);
    }
    75% {
        -webkit-transform: scale(1) translateX(300%);
        transform: scale(1) translateX(300%);
    }
    100% {
        -webkit-transform: scale(0.5) translateX(150%);
        transform: scale(0.5) translateX(150%);
    }
}
@keyframes pull-left {
    0% {
        -webkit-transform: scale(0.5) translateX(150%);
        transform: scale(0.5) translateX(150%);
    }
    50% {
        -webkit-transform: scale(1) translateX(-25%);
        transform: scale(1) translateX(-25%);
    }
    75% {
        -webkit-transform: scale(1) translateX(300%);
        transform: scale(1) translateX(300%);
    }
    100% {
        -webkit-transform: scale(0.5) translateX(150%);
        transform: scale(0.5) translateX(150%);
    }
}
@-webkit-keyframes pull-right {
    0% {
        -webkit-transform: scale(0.5) translateX(-150%);
        transform: scale(0.5) translateX(-150%);
    }
    50% {
        -webkit-transform: scale(1) translateX(25%);
        transform: scale(1) translateX(25%);
    }
    80% {
        -webkit-transform: scale(0.5) translateX(-150%);
        transform: scale(0.5) translateX(-150%);
    }
    90% {
        -webkit-transform: scale(0.5) translateX(-300%);
        transform: scale(0.5) translateX(-300%);
    }
    100% {
        -webkit-transform: scale(0.5) translateX(-150%);
        transform: scale(0.5) translateX(-150%);
    }
}
@keyframes pull-right {
    0% {
        -webkit-transform: scale(0.5) translateX(-150%);
        transform: scale(0.5) translateX(-150%);
    }
    50% {
        -webkit-transform: scale(1) translateX(25%);
        transform: scale(1) translateX(25%);
    }
    80% {
        -webkit-transform: scale(0.5) translateX(-150%);
        transform: scale(0.5) translateX(-150%);
    }
    90% {
        -webkit-transform: scale(0.5) translateX(-300%);
        transform: scale(0.5) translateX(-300%);
    }
    100% {
        -webkit-transform: scale(0.5) translateX(-150%);
        transform: scale(0.5) translateX(-150%);
    }
}
/*#endregion*/

/*region loader-threeDots*/
/*#region threeDots-lg*/
.threeDots-lg {
    width: 42px!important;
    height: 42px!important;
    margin: -65px auto 0 52px !important;
    animation: threeDots-animation-lg 0.9s ease alternate infinite !important;
}
.threeDots-lg:after, .threeDots-lg:before{
    width: 42px!important;
    height: 42px!important;
    animation: threeDots-animation-lg 0.9s ease alternate infinite !important;
}
.threeDots-lg:before{
    left: -49px!important;
}
.threeDots-lg:after{
    right: -49px!important;
}
@-webkit-keyframes threeDots-animation-lg {
    0% {
        box-shadow: 0 42px 0 -42px #0052ec;
    }
    100% {
        box-shadow: 0 42px 0 #0052ec;
    }
}
@keyframes threeDots-animation-lg {
    0% {
        box-shadow: 0 42px 0 -42px #0052ec;
    }
    100% {
        box-shadow: 0 42px 0 #0052ec;
    }
}
/*#endregion*/
/*#region threeDots-md*/
.threeDots-md {
    width: 28px!important;
    height: 28px!important;
    margin: -42px auto 0 42px !important;
    animation: threeDots-animation-md 0.9s ease alternate infinite !important;
}
.threeDots-md:after, .threeDots-md:before{
    width: 28px!important;
    height: 28px!important;
    animation: threeDots-animation-md 0.9s ease alternate infinite !important;
}
.threeDots-md:before{
    left: -40px!important;
}
.threeDots-md:after{
    right: -40px!important;
}
@-webkit-keyframes threeDots-animation-md {
    0% {
        box-shadow: 0 28px 0 -28px #0052ec;
    }
    100% {
        box-shadow: 0 28px 0 #0052ec;
    }
}
@keyframes threeDots-animation-md {
    0% {
        box-shadow: 0 28px 0 -28px #0052ec;
    }
    100% {
        box-shadow: 0 28px 0 #0052ec;
    }
}
/*#endregion*/
/*#region threeDots-sm*/
.threeDots-sm {
    width: 14px!important;
    height: 14px!important;
    margin: -22px auto 0 19px !important;
    animation: threeDots-animation-sm 0.9s ease alternate infinite;
}
.threeDots-sm:after, .threeDots-sm:before{
    width: 14px!important;
    height: 14px!important;
    animation: threeDots-animation-sm 0.9s ease alternate infinite;
}
.threeDots-sm:before{
    left: -18px!important;
}
.threeDots-sm:after{
    right: -18px!important;
}
@-webkit-keyframes threeDots-animation-sm {
    0% {
        box-shadow: 0 14px 0 -14px #0052ec;
    }
    100% {
        box-shadow: 0 14px 0 #0052ec;
    }
}
@keyframes threeDots-animation-sm {
    0% {
        box-shadow: 0 14px 0 -14px #0052ec;
    }
    100% {
        box-shadow: 0 14px 0 #0052ec;
    }
}
/*#endregion*/
.loader-threeDots {
    border-radius: 50% !important;
    position: relative !important;
    animation-delay: 0.36s !important;
    top: 50% !important;
}
.loader-threeDots:after, .loader-threeDots:before {
    content: '' !important;
    position: absolute !important;
    border-radius: 50% !important;
}
.loader-threeDots:before {
    animation-delay: 0.18s !important;
}
.loader-threeDots:after {
    animation-delay: 0.54s !important;
}
/*#endregion*/

/*#region loader-circle*/
.circle-lg {
    width: 56px !important;
    height: 56px !important;
    border: 8px solid rgba(0, 82, 236, 0.25) !important;
}
.circle-md {
    width: 36px !important;
    height: 36px !important;
    border: 5px solid rgba(0, 82, 236, 0.25) !important;
}
.circle-sm {
    width: 18px !important;
    height: 18px !important;
    border: 3px solid rgba(0, 82, 236, 0.25) !important;
}
.loader-circle {
    border-top-color: #0052ec !important;
    border-radius: 50% !important;
    animation: loader-circle-rotate 1s linear infinite !important;
}
@-webkit-keyframes loader-circle-rotate {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}
@keyframes loader-circle-rotate {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}
/*#endregion*/

#loader_reload_button:hover{
    animation: loader-circle-rotate 0.5s linear 1 !important;
}
/*#endregion*/

.clicked > td{
    background: #f1f1f1!important;
}

.wc-position-center{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}